import axios from 'axios';

export default {
  namespaced: true,
  state: {
    items: [],
  },
  mutations: {
    setItems(state, list) {
      state.items = list;
    },
  },
  getters: {},
  actions: {
    getItems({ commit }) {
      axios
        .get('/api/timeshareweek/getTenderWeeks')
        .then(result => commit('setItems', result.data))
        .catch(console.error);
    },
  },
};
